#include "const.h"

class LINK
{
   public:
	   int self_bs_idx;
	   int self_ms_idx;
	   int self_sector_idx;

	   double combined_antgain;

	   double link_distance;
	   double link_pathloss;
	   double link_antgain;
	   double link_RMS_delay_spread;
	   double link_AOA_spread;
	   double link_AOD_spread;
	   double distance;
	   double signal;
	   double interference;
	   double SINR;
	   double str_signal;
	   LOCATION serving_bs;

	   //UE_Initial_Setting
	   double incar_loss;
	   double Otoi_loss;
	   //double UE_ICI;
	   //double UE_PATH_LOSS;
	   double * tone_sinr;
	   double     _throughput;
	   double CQI_offset;
	   int num_added;
	   int num_re_tx;
	   bool ACK;
	   //double strongest_signal;

	   // ϱ
	   double  *  LS_gain;
	   double  *  static_gain;
	   int     *  adj_sector;
	   int    _sector_in_control;


	   void Configuration(int);
	   void Get_signal_interference();
	   void Get_adj_SECTORS();
	   void Get_interference();
	   double Get_angle(LOCATION, LOCATION, LOCATION);
	   double Get_antgain(LOCATION,LOCATION,int);
	   double Get_MS_antgain(LOCATION, LOCATION, int);
	   void UE_Initial_Setting(void);
	   
	   
	


};